petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDrawSetSaveFinalImage

Saves the final image produced in a PetscDraw into a file

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawSetSaveFinalImage(PetscDraw draw,const char filename[])

Collective on PetscDraw Many br

### Input Parameter

| draw | - the graphics context Many br
| filename | - name of the file, if NULL or empty uses name set with PetscDrawSetSave() or name of draw object Many br

### Options Database Command

-draw_save_final_image <filename> -filename could be name.ext or .ext (where .ext determines the type of graphics file to save, for example .png) Many br

Many br

Notes: You should call this BEFORE creating your image and calling PetscDrawSave(). Many brThe supported image types are .png, .gif, and .ppm (PETSc chooses the default in that order). Many brSupport for .png images requires configure --with-libpng. Many brSupport for .gif images requires configure --with-giflib. Many brSupport for .jpg images requires configure --with-libjpeg. Many brSupport for .ppm images is built-in. The PPM format has no compression (640x480 pixels ~ 900 KiB). Many br

### See Also

PetscDrawSetSave(), PetscDrawSetFromOptions(), PetscDrawCreate(), PetscDrawDestroy()

Level:intermediate
Location:src/sys/classes/draw/interface/dsave.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages